## raspi-copies-and-fills 0.13

=== Makefile ===
OBJS-V6L = memcmp-v6l.o memcpymove-v6l.o memset-v6l.o
OBJS-V7L = memcmp-v7l.o memcpymove-v7l.o memset-v7l.o strlen-v7l.o
CFLAGS += -std=gnu99 -O2 -fno-inline

all: libarmmem-v6l.so libarmmem-v6l.a libarmmem-v7l.so libarmmem-v7l.a test test-strlen

%.o: %.c
	$(CROSS_COMPILE)gcc $(CFLAGS) -c -o $@ $^

%.o: %.S
	$(CROSS_COMPILE)gcc -c -o $@ $^

libarmmem-v6l.so: $(OBJS-V6L)
	$(CROSS_COMPILE)gcc -shared -o $@ $^

libarmmem-v6l.a: $(OBJS-V6L)
	$(CROSS_COMPILE)ar rcs $@ $^

libarmmem-v7l.so: $(OBJS-V7L)
	$(CROSS_COMPILE)gcc -shared -o $@ $^

libarmmem-v7l.a: $(OBJS-V7L)
	$(CROSS_COMPILE)ar rcs $@ $^

test: test.o
	$(CROSS_COMPILE)gcc -o $@ $^

test-strlen: test-strlen.o
	$(CROSS_COMPILE)gcc -o $@ $^

clean:
	rm -rf *.o *.so *.a test

=== debian/changelog ===
raspi-copies-and-fills (0.13) buster; urgency=medium

  * Update to f6b17c6c9c00a705e6b36e7a1b8a5cddf5b0cc23
    - ARMv7: Ensure memcmp return value is always -1, 0 or +1

 -- Serge Schneider <serge@raspberrypi.org>  Tue, 30 Apr 2019 10:22:05 +0100

raspi-copies-and-fills (0.12) buster; urgency=medium

  * Update to 010044568a9691bb375e86a96f7e26495f5c5d6e
    - Limit the return values of ARMv7 memcmp()
    - ARMv7 strlen: fix stupid bug
  * Symlink v7 to v8 and aarch64 for qemu and aarch64 hosts

 -- Serge Schneider <serge@raspberrypi.org>  Wed, 17 Apr 2019 11:04:54 +0100

raspi-copies-and-fills (0.8) stretch; urgency=medium

  * Update to ce0fcb7273e39a3c51e3b44dd6b82c04d1fba443
    - Add a NEON implementation of strlen, tuned for Cortex-A53
    - Add a NEON implementation of memcmp

 -- Serge Schneider <serge@raspberrypi.org>  Mon, 21 Jan 2019 13:33:07 +0000

raspi-copies-and-fills (0.7) stretch; urgency=medium

  * Update to a3277ce

 -- Serge Schneider <serge@raspberrypi.org>  Fri, 18 Jan 2019 17:06:02 +0000

raspi-copies-and-fills (0.6) stretch; urgency=medium

  * Instruction incompatible with valgrind and qemu removed.

 -- Simon Long <simon@raspberrypi.org>  Mon, 18 Sep 2017 07:21:57 +0100

raspi-copies-and-fills (0.5-1) jessie; urgency=low

  * Initial release

 -- Serge Schneider <serge@raspberrypi.org>  Thu, 11 Jun 2015 03:20:55 +0000

=== debian/control ===
Source: raspi-copies-and-fills
Section: libs
Priority: optional
Maintainer: Serge Schneider <serge@raspberrypi.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 4.3.0
Homepage: https://github.com/bavison/arm-mem
Vcs-Git: https://github.com/RPi-Distro/arm-mem.git -b debian
Vcs-Browser: https://github.com/RPi-Distro/arm-mem/tree/debian

Package: raspi-copies-and-fills
Architecture: armhf
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ARM-accelerated versions of selected functions from string.h
 Optimized implementations of memset, memcpy, memcmp and memmove for
 ARM1176JZF-S, Cortex A7 and Cortex A53

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk


# main packaging script based on dh7 syntax
%:
	dh $@

## raspi-copies-and-fills 0.13+git20240318.ee8ac1d

=== Makefile ===
--- 
+++ 
@@ -11,13 +11,13 @@
 	$(CROSS_COMPILE)gcc -c -o $@ $^
 
 libarmmem-v6l.so: $(OBJS-V6L)
-	$(CROSS_COMPILE)gcc -shared -o $@ $^
+	$(CROSS_COMPILE)gcc -shared -o $@ -Wl,-soname,$@ $^
 
 libarmmem-v6l.a: $(OBJS-V6L)
 	$(CROSS_COMPILE)ar rcs $@ $^
 
 libarmmem-v7l.so: $(OBJS-V7L)
-	$(CROSS_COMPILE)gcc -shared -o $@ $^
+	$(CROSS_COMPILE)gcc -shared -o $@ -Wl,-soname,$@ $^
 
 libarmmem-v7l.a: $(OBJS-V7L)
 	$(CROSS_COMPILE)ar rcs $@ $^

=== debian/changelog ===
raspi-copies-and-fills (0.13+git20240318.ee8ac1d-1) trixie; urgency=medium

  * Add watch file
  * Change to foreign package format
  * Add gbp.conf
  * New upstream version 0.13+git20240318.ee8ac1d
  * Update debian/control
  * Remove dbgsym package
  * Add ldconfig trigger

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 10 Feb 2026 12:28:40 +0000

=== debian/control ===
Source: raspi-copies-and-fills
Section: libs
Priority: optional
Maintainer: Serge Schneider <serge@raspberrypi.com>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.2
Homepage: https://github.com/bavison/arm-mem
Vcs-Git: https://github.com/RPi-Distro/arm-mem.git
Vcs-Browser: https://github.com/RPi-Distro/arm-mem

Package: raspi-copies-and-fills
Architecture: armhf
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ARM-accelerated versions of selected functions from string.h
 Optimized implementations of memset, memcpy, memcmp and memmove for
 ARM1176JZF-S, Cortex A7 and Cortex A53

=== debian/rules ===
--- 
+++ 
@@ -11,3 +11,8 @@
 # main packaging script based on dh7 syntax
 %:
 	dh $@ 
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+
+override_dh_dwz:

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=0.13+git%cd.%h, repack, compression=xz" \
 https://github.com/bavison/arm-mem.git \
 HEAD
